Package org.pushingpixels.substance.api.painter.border

# Class FlatBorderPainter

java.lang.Object
org.pushingpixels.substance.api.painter.border.StandardBorderPainter
org.pushingpixels.substance.api.painter.border.FlatBorderPainter

All Implemented Interfaces:
  `SubstanceBorderPainter`, `SubstanceTrait`

public class FlatBorderPainter extends StandardBorderPainter
Border painter that returns images with flat appearance. This class is part of officially supported API.

## Constructor Summary

Constructors
Constructor
Description
`FlatBorderPainter()`

## Method Summary

Modifier and Type
Method
Description
`Color`
`getBottomBorderColor(SubstanceColorScheme borderScheme)`
Computes the color of the bottom portion of the border.
`String`
`getDisplayName()`
Returns the display name of `this` trait.
`Color`
`getMidBorderColor(SubstanceColorScheme borderScheme)`
Computes the color of the middle portion of the border.

### Methods inherited from class org.pushingpixels.substance.api.painter.border.StandardBorderPainter

`getTopBorderColor, isPaintingInnerContour, paintBorder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FlatBorderPainter

public FlatBorderPainter()

## Method Details

### getDisplayName

public String getDisplayName()
Description copied from interface: `SubstanceTrait`
Returns the display name of `this` trait. This method is part of officially supported API.

Specified by:
  `getDisplayName` in interface `SubstanceTrait`
Overrides:
  `getDisplayName` in class `StandardBorderPainter`
Returns:
  The display name of `this` trait.

### getMidBorderColor

public Color getMidBorderColor(SubstanceColorScheme borderScheme)
Description copied from class: `StandardBorderPainter`
Computes the color of the middle portion of the border. Override to provide different visual.

Overrides:
  `getMidBorderColor` in class `StandardBorderPainter`
Parameters:
  `borderScheme` - The border color scheme.
Returns:
  The color of the middle portion of the border.

### getBottomBorderColor

public Color getBottomBorderColor(SubstanceColorScheme borderScheme)
Description copied from class: `StandardBorderPainter`
Computes the color of the bottom portion of the border. Override to provide different visual.

Overrides:
  `getBottomBorderColor` in class `StandardBorderPainter`
Parameters:
  `borderScheme` - The border color scheme.
Returns:
  The color of the bottom portion of the border.